/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Wed Jan 17 10:34:49 CET 2001
    copyright            : (C) 2001 by Matthias Welwarsky
    email                : matze@stud.fbi.fh-darmstadt.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "ksiemens.h"

static const char *description =
	I18N_NOOP("KSiemens");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

	KAboutData aboutData( "ksiemens", I18N_NOOP("KSiemens"),
		VERSION, description, KAboutData::License_GPL,
		"(c) 2001, Matthias Welwarsky");
	aboutData.addAuthor("Matthias Welwarsky",0, "matze@stud.fbi.fh-darmstadt.de");
	KCmdLineArgs::init( argc, argv, &aboutData );
	KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication app;
 
  if (app.isRestored())
  {
    RESTORE(KSiemensApp);
  }
  else 
  {
    KSiemensApp *ksiemens = new KSiemensApp();
    ksiemens->show();

    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

		// insert actions on commandline args here		
		args->clear();
  }

  return app.exec();
}  
