/***************************************************************************
                          phonesmscontrol.h  -  description
                             -------------------
    begin                : Thu Jan 18 2001
    copyright            : (C) 2001 by Matthias Welwarsky
    email                : matze@stud.fbi.fh-darmstadt.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef PHONESMSCONTROL_H
#define PHONESMSCONTROL_H

#include <qwidget.h>
#include "phonesmscontroldlg.h"

/**manages the phones short message features
  *@author Matthias Welwarsky
  */

class PhoneSMSControl : public PhoneSMSControlDlg  {
   Q_OBJECT
public: 
	PhoneSMSControl(QWidget *parent=0, const char *name=0);
	virtual ~PhoneSMSControl();
  	/** stops the SMS control, reimplemented from PhoneControl */
  	virtual void stopControl();
  	/** starts the SMS control, reimplemented from PhoneControl */
  	virtual void startControl();
  	/** reimplemented from PhoneControl */
  	virtual void deliverMessage(QString);
};

#endif
